dpkg-trigger(1)

NOMBRE
dpkg-trigger - Herramienta de disparadores de paquete

SINOPSIS
dpkg-trigger [opción...] nombre-disparador
dpkg-trigger [opción...] orden

DESCRIPCIÓN
dpkg-trigger es una herramienta para activar disparadores intencionadamente y revisar su compatibilidad con la versión de dpkg en ejecución.

Se puede usar mediante scripts del desarrollador en situaciones complejas y condicionales en las que los ficheros de disparadores, o la declaración de la directiva activate en el fichero de control, no son suficientemente informativos. También se puede usar para comprobaciones y administradores de sistemas (pero tenga en cuenta que dpkg-trigger no accionará los disparadores).

La sintaxis no reconocida de nombres de disparadores son un error para dpkg-trigger.

ÓRDENES

--check-supported
    Revisa si la versión de dpkg en ejecución es compatible con disparadores (habitualmente invocados mediante una post-instalación). Cierra con 0 si dpkg es compatible con los disparadores, o 1 con un mensaje de error por la salida estándar en caso de fallo. Por otra parte, en general es mejor activar sólo el disparador deseado con dpkg-trigger.

-h, --help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

OPCIONES

--admindir=directorio
    Cambia el directorio con la base de datos de dpkg. Por omisión es /var/lib/dpkg.

--by-package=paquete
    Invalida la espera al inicio del disparador (habitualmente definido con dpkg a través de la variable de entorno «DPKG_MAINTSCRIPT_PACKAGE» en los scripts del desarrollador, nombrando el paquete al que el script pertenece. Este es el comportamiento por omisión.)

--no-await
    Esta opción define que la invocación al paquete T (de existir) no necesita esperar al procesamiento de este disparador; el paquete(s) interesado I no se añadirá a la lista de espera del procesado del disparador, sin cambiar el estado de T. Puede que se considere que T está instalado aunque no se haya procesado el disparador.

--no-act
    Realiza un simulacro sin cambios en el sistema.

VÉASE TAMBIÉN
dpkg(1), deb-triggers(5), /usr/share/doc/dpkg-dev/triggers.txt.gz.

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.